Bug 596383 - [RHEL5.3] Even if a process have received data but schedule() in select() cannot return [rhel-5.4.z]
Summary: [RHEL5.3] Even if a process have received data but schedule() in select() can...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 509866
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:13 UTC by RHEL Product and Program Management
Modified: 2013-09-30 02:14 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.18-164.20.1.el5
Doc Type: Bug Fix
Doc Text:
When data was transmitted from a server process to a client process while the client process was waiting for data provided by the 'select()' function, the client process might not have returned from the 'select()' function. With these update, the client process returns from the 'select()' function.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 07:46:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0539 normal SHIPPED_LIVE kernel bug fix update 2010-07-20 07:46:11 UTC

Description RHEL Product and Program Management 2010-05-26 17:13:09 UTC
This bug has been copied from bug #509866 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 6 Jiri Pirko 2010-06-08 11:57:12 UTC
in 2.6.18-164.20.1.el5

Comment 9 Martin Prpič 2010-07-08 12:44:44 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When data was transmitted from a server process to a client process while the client process was waiting for data provided by the 'select()' function, the client process might not have returned from the 'select()' function. With these update, the client process returns from the 'select()' function.

Comment 14 errata-xmlrpc 2010-07-20 07:46:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0539.html


Note You need to log in before you can comment on or make changes to this bug.